@import './variables.scss';

:root {
  height: 100%;
}

body {
  margin: 0;
  font-family: sans-serif;
  height: 100%;
}

.menu-container {
  min-height: 100%;
  text-transform: uppercase;
  display: flex;
  flex-direction: column;
}

.menu-container--menu {
  display: flex;
  margin: 0;
  padding: 0em 0.5em;
  background-color: $menu-background-color;
  justify-content: space-between;
  flex-direction: row;
}

.menu-container--submenu {
  display: flex;
  padding: 0.2em;
  background-color: $submenu-background-color;
  justify-content: space-between;
  flex-direction: row;
}

@mixin set-menu-container($justify-content: false) {
  .menu-container {
    @if ($justify-content) {
      padding: 0em;
      justify-content: space-between;

      .menu-container--menu div:nth-child(2) {
        visibility: hidden;
      }
    }
  }
}

@mixin set-submenu-items($font-size: regular) {
  .menu-container--submenu div { 
    font-family: $submenu-font-family;
    font-size: $font-size;
    background-color: $submenu-background-color;
    border: $submenu-border;
    flex: 1;
    text-align: center;

    &:hover {
      background-color: $submenu-hover-background-color;
      color: $submenu-hover-color;
      cursor: pointer;
      font-weight: bold;
    }
  }
}

@media screen and (max-width: 500px) {
  @include set-menu-container(true);
  @include set-submenu-items(xx-small);
}

@media screen and (min-width: 501px) {
  @include set-menu-container();
  @include set-submenu-items(small);
}

